<?php 
#####################################################
##-------------------------------------------------##
##             RY News - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 02 November 2010                    ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################
defined( '_JEXEC' ) or die( 'Restricted access' );
$siteName	= $tmpConfig->sitename();

?>
<head>
	<?php if( $ry_googlekey ) { ?><meta name="google-site-verification" content="<?php echo $ry_googlekey; ?>" /><?php } ?>
	<?php if( $ry_yahookey ) { ?><meta name="y_key" content="<?php echo $ry_yahookey;?>" /><?php } ?>
	<?php if($ry_msnkey) {?><meta name="msvalidate.01" content="<?php echo $ry_msnkey; ?>" /><?php } ?>
	
	<jdoc:include type="head" />
	<?php JHTML::_('behavior.mootools'); ?>
	
	<?php if ( $ry_generator ) { 
		$this->setGenerator( $ry_generator );
	} ?>
	
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/default.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/layout.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/menu.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/template.css" type="text/css" />
	
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/ry.script.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/ry.scroll.js"></script>
</head>
<body id="bd" class="fs<?php echo $font_size; ?>">

	<!-- HEADER BEGIN -->
	<div id="ry-header" class="clearfix">
 		<div class="main">
			<div id="header-logo">
				<?php if( $tmpConfig->isContentPage() ) { ?>
				<div class="logo">
					<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</div>
				<?php } else { ?>
				<h1 class="logo">
					<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</h1>
				<?php } ?>
			</div>
			
			<?php if ( $adv1 ) : ?>
			<div class="adv-head">
				<jdoc:include type="modules" name="adv1" />
			</div>
			<?php endif; ?>
		</div>
	</div>
	
	<div id="ry-mainnav" class="clearfix">
		<div class="main">
			<?php echo $main_menu; ?>
			
			<?php if ( $ry_search ) : ?>
			<div class="ry-search">
				<jdoc:include type="modules" name="ry-search" />
			</div>
			<?php endif; ?>
			
		</div>
	</div>
	
	<div id="ry-container" class="clearfix" >
		<div class="main clearfix">
			<?php if ( $path ) :?>
			<div class="ry-path">
				<jdoc:include type="modules" name="breadcrumb" />
			</div>
			<?php endif; ?>
			<div class="mainside" style="width:<?php echo $width_main; ?>%;">
				
				<?php if ( $news && ($tmpConfig->isSearchPage() == 0) ) : ?>
				<div class="ry-news">
					<jdoc:include type="modules" name="news" />
				</div>
				<?php endif; ?>
								
				<?php if ( ( $m_top1 || $m_top2 ) && ($tmpConfig->isSearchPage() == 0)) : ?>
				<div class="content-top clearfix">
					<?php if ( $m_top1 ) : ?>
					<div class="cb-column cb-<?php echo $mt1; ?>" style="width:<?php echo $mt_width; ?>%;">
						<jdoc:include type="modules" name="mas-top1" style="ry2xhtml" />
					</div>
					<?php endif; ?>
					
					<?php if ( $m_top2 ) : ?>
					<div class="cb-column cb-<?php echo $mt2; ?>" style="width:<?php echo $mt_width; ?>%;">
						<jdoc:include type="modules" name="mas-top2" style="ry2xhtml" />
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
				<jdoc:include type="message" />
				<div class="main-content clearfix">
					<jdoc:include type="component" />
				</div>
				
				<?php if ( $adv2 && ($tmpConfig->isSearchPage() == 0) ) : ?>
				<div class="ry-adv">
					<jdoc:include type="modules" name="adv2" />
				</div>
				<?php endif; ?>
				
				<?php if ( ( $user1 || $user2 ) && ($tmpConfig->isSearchPage() == 0) ) : ?>
				<div class="content-bottom clearfix">
					<?php if ( $user1 ) : ?>
					<div class="cb-column cb-<?php echo $cb1; ?>" style="width:<?php echo $cb_width; ?>%;">
						<jdoc:include type="modules" name="user1" style="ry2xhtml" />
					</div>
					<?php endif; ?>
					
					<?php if ( $user2 ) : ?>
					<div class="cb-column cb-<?php echo $cb2; ?>" style="width:<?php echo $cb_width; ?>%;">
						<jdoc:include type="modules" name="user2" style="ry2xhtml" />
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
				
			</div>
			<?php if ( $right ) : ?>
			<div class="right" style="width:<?php echo $width_sidebar; ?>%;">
				<jdoc:include type="modules" name="right" style="ry2xhtml" />
			</div>
			<?php endif; ?>
		</div>
	</div>
	
	<?php if ( $user3 || $user4 || $user5 ) : ?>
	<div id="ry-bots" class="clearfix">
		<div class="main clearfix">
			<?php if ( $user3 ) : ?>
			<div class="bot-column bot-<?php echo $bots_pos1; ?>" style="width:<?php echo $width_bots; ?>%;" >
				<jdoc:include type="modules" name="user3" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user4 ) : ?>
			<div class="bot-column bot-<?php echo $bots_pos2; ?>" style="width:<?php echo $width_bots; ?>%;" >
				<jdoc:include type="modules" name="user4" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user5 ) : ?>
			<div class="bot-column bot-<?php echo $bots_pos3; ?>" style="width:<?php echo $width_bots; ?>%;" >
				<jdoc:include type="modules" name="user5" style="ryxhtml" />
			</div>
			<?php endif; ?>
		</div>
	</div>
	<?php endif; ?>
	
	<div id="ry-footer" class="clearfix">
		<div class="main clearfix">
			<div id="footer">
				<div class="fot-l">
					<jdoc:include type="modules" name="footer" />
				</div>
				<div class="fot-r">
					<?php if ( $fonav ) : ?>
					<div class="fotnav">
						<jdoc:include type="modules" name="fotnav" />
					</div>
					<?php endif; ?>
					<!-- please do not remove the credit link from RayaWebDesign. 
					if you want to remove the credit link, please confirm to the RayaWebDesign and do a minimum donation $2-->
					Design&nbsp;by&nbsp;<a href="http://www.rayawebdesign.com/" title="Jasa Pembuatan Website Murah" target="_blank">RayaWebDesign</a>. 
					Valid&nbsp;<a href="http://validator.w3.org/check?uri=referer" title="Valid XHTML" target="_blank">XHTML</a>&nbsp;&amp;&nbsp;<a href="http://jigsaw.w3.org/css-validator/check/referer?profile=css3" title="Valid CSS" target="_blank">CSS</a>.
					&nbsp;<a href="#" id="gotop" title="Press and scroll to top">TOP</a>
				</div>
			</div>
		</div>
	</div>

<?php if( $ry_googleanal ){ echo $ry_googleanal; }  ?>
</body>