<?php
#####################################################
##-------------------------------------------------##
##             RY News - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 02 November 2010                    ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################

/**
 * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" >
<head>
	<jdoc:include type="head" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template;?>/css/offline.css" type="text/css" />
	<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/system.css" type="text/css" />
	<?php
		$mydoc =& JFactory::getDocument();
		$mydoc->setTitle('Under Maintenance');
	?>
	<script type="text/javascript">
		window.addEvent('domready', function() {
		  var ry_Slide = new Fx.Slide('loginforma');
		  ry_Slide.hide();
		  $('sh_form').addEvent('click', function(e) {
			e = new Event(e);
			ry_Slide.toggle();
			e.stop();
		  });
		});
	</script>
	
</head>
<body>
	<div id="loginforma">
		<div id="loginform" class="main" align="center">
			<form action="index.php" method="post" name="login" id="form-login">
			<!--fieldset class="input"-->
				<ul id="list-input">
					<li class="form-login-username">
						<label for="username"><?php echo JText::_('Username') ?></label>
						<input name="username" id="username" type="text" class="inputbox" alt="<?php echo JText::_('Username') ?>" size="18" />
					</li>
					<li class="form-login-password">
						<label for="passwd"><?php echo JText::_('Password') ?></label>
						<input type="password" name="passwd" class="inputbox" size="18" alt="<?php echo JText::_('Password') ?>" id="passwd" />
					</li>
					<li class="form-login-remember">
						<label for="remember"><?php echo JText::_('Remember me') ?></label>
						<input type="checkbox" name="remember" class="inputbox" value="yes" alt="<?php echo JText::_('Remember me') ?>" id="remember" />
					</li>
					<input type="submit" name="Submit" class="button" value="<?php echo JText::_('LOGIN') ?>" />
				</ul>
			<!--/fieldset-->
			<input type="hidden" name="option" value="com_user" />
			<input type="hidden" name="task" value="login" />
			<input type="hidden" name="return" value="<?php echo base64_encode(JURI::base()) ?>" />
			<?php echo JHTML::_( 'form.token' ); ?>
			</form>
		</div>
	</div>
	<div id="sep">&nbsp;</div>
	<div id="loginlink" ><span><a id="sh_form" class="linklogin" href="#">Login Form</a></span></div>
	
	<div id="frame" class="outline">
		<img src="templates/<?php echo $this->template;?>/images/under-maintenance.png" alt="Under Maintenance Logo" align="middle" />
		<h1>
			<?php echo $mainframe->getCfg('sitename'); ?>
		</h1>
	<p>
		<jdoc:include type="message" />
		<?php echo $mainframe->getCfg('offline_message'); ?>
	</p>
	<?php if(JPluginHelper::isEnabled('authentication', 'openid')) : ?>
	<?php JHTML::_('script', 'openid.js'); ?>
	<?php endif; ?>
	
	</div>
</body>
</html>