<?php
/****************************************************
#####################################################
##-------------------------------------------------##
##             RY News - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 02 November 2010                    ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################
****************************************************/


defined('_JEXEC') or die('Restricted access');

/**
 * This is a file to add template specific chrome to module rendering.  To use it you would
 * set the style attribute for the given module(s) include in your template to use the style
 * for each given modChrome function.
 *
 * eg.  To render a module mod_test in the sliders style, you would use the following include:
 * <jdoc:include type="module" name="test" style="slider" />
 *
 * This gives template designers ultimate control over how modules are rendered.
 *
 * NOTICE: All chrome wrapping methods should be named: modChrome_{STYLE} and take the same
 * three arguments.
 */


/*
 * Default Module Chrome that has sematic markup and has best SEO support
 */
function modChrome_ry2xhtml($module, &$params, &$attribs)
{ 
?>
	<div class="ry-moduletable moduletable<?php echo $params->get('moduleclass_sfx'); ?>  clearfix" >
		<?php echo $badge; ?>
		<?php if ($module->showtitle != 0) : ?>
		<h3><span><?php echo $module->title; ?></span></h3>
		<?php endif; ?>
		<div class="ry-box-ct clearfix">
		<?php echo $module->content; ?>
		</div>
    </div>
	<?php
}
 
function modChrome_ryxhtml($module, &$params, &$attribs)
{ 
	$real_title = $module->title;
	$real_title = explode("[]", $real_title);
	$title = $real_title[0];
	$desc_title = (!empty($real_title[1])) ? $real_title[1] : null;
?>
	<div class="ry-moduletable moduletable<?php echo $params->get('moduleclass_sfx'); ?>  clearfix">
		<?php if ($module->showtitle != 0) : ?>
		<h3><span class="mod-title"><?php echo $title; ?></span><span class="mod-title-desc"><?php echo $desc_title; ?></span></h3>
		<?php endif; ?>
		<div class="ry-box-ct clearfix">
		<?php echo $module->content; ?>
		</div>
    </div>
<?php
} ?>
