<?php 
#####################################################
##-------------------------------------------------##
##             RY News - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 02 November 2010                    ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################

defined( '_JEXEC' ) or die( 'Restricted access' );
/* ry configure params xml */
$ry_Mod_Expos	= $this->params->get("ry_mod_expos");
$ry_menu		= $this->params->get("ry_menutype");
$font_size		= $this->params->get("ry_font");
$ry_googlekey	= $this->params->get("ry_googlekey");
$ry_yahookey	= $this->params->get("ry_yahookey");
$ry_msnkey		= $this->params->get("ry_msnkey");
$ry_googleanal	= $this->params->get("ry_googleanalytic");
$ry_generator	= $this->params->get("ry_gen");

class RYTemplateConfig {
	var $_tpl = null;
	var $template = '';

	function RYTemplateConfig ($template) {
		$this->_tpl = $template;
		$this->template = $template->template;
	}

	function sitename() {
		$config = new JConfig();
		return $config->sitename;
	}
	
	function baseUrl(){
		return JURI::base();
	}
	
	function templateurl(){
		return JURI::base()."templates/".$this->template;
	}
	
	function isContentPage(){
		return (JRequest::getCmd( 'view' ) == 'article') ;
	}
	
	function isSearchPage(){
		return (JRequest::getCmd( 'view' ) == 'search') ;
	}
		
	function isIE(){ // IE DETECT
		$msie='/msie/i';
		return isset($_SERVER['HTTP_USER_AGENT']) &&
			preg_match($msie,$_SERVER['HTTP_USER_AGENT']) &&
			!preg_match('/opera/i',$_SERVER['HTTP_USER_AGENT']);
	}
	
	function isIE6 () {
		return $this->browser() == 'IE6';
	}
	
	function browser () {
		$agent = $_SERVER['HTTP_USER_AGENT'];
		if ( strpos($agent, 'Gecko') )
		{
		   if ( strpos($agent, 'Netscape') )
		   {
		     $browser = 'NS';
		   }
		   else if ( strpos($agent, 'Firefox') )
		   {
		     $browser = 'FF';
		   }
		   else
		   {
		     $browser = 'Moz';
		   }
		}
		else if ( strpos($agent, 'MSIE') && !preg_match('/opera/i',$agent) )
		{
			 $msie='/msie\s(7|8\.[0-9]).*(win)/i';
		   	 if (preg_match($msie,$agent)) $browser = 'IE7';
		   	 else $browser = 'IE6';
		}
		else if ( preg_match('/opera/i',$agent) )
		{
		     $browser = 'OPE';
		}
		else
		{
		   $browser = 'Others';
		}
		return $browser;
	}
	
	function loadMenu(){
		$document = &JFactory::getDocument();
		$module = JModuleHelper::getModule( 'mod_mainmenu' );
		
		$renderer = $document->loadRenderer( 'module' );
		$options = array( 'style' => "getmenu" );
		
		$main_menu = false;
		$main_submenu = false;
		
		$module->params = "menutype=$ry_menu\nshowAllChildren=1";
		$main_menu = $renderer->render( $module, $options );
		
		return $main_menu;
	}
	
}

$tmpConfig = new RYTemplateConfig($this);

$document = &JFactory::getDocument();
$module = JModuleHelper::getModule( 'mod_mainmenu' );
		
$renderer = $document->loadRenderer( 'module' );
$options = array( 'style' => "getmenu" );
		
$main_menu = false;
$main_submenu = false;
		
$module->params = "menutype=$ry_menu\nshowAllChildren=1";
$main_menu = $renderer->render( $module, $options );


/* MODULE COLLAPSE */
$width_sidebar = ( 100 / 3 ) - ( 1 / 3 );;
if ( $width_sidebar ) {
	$width_main = 100 - ( $width_sidebar + 0.3 );
} else {
	$width_main = 100;
}

if ( $user3 && $user4 && $user5 ) {
	$width_bots	= ( 100 / 3 ) - ( 1 / 3 );
	$bots_pos1	= 'left';
	$bots_pos2	= 'center';
	$bots_pos3	= 'right';
} else if ( $user3 && $user4 ) {
	$width_bots = ( 100 / 2 ) - ( 1 / 2 );
	$bots_pos1	= 'left';
	$bots_pos2	= 'right';
	//$bots_pos3	= 'right';
} else if ( $user3 && $user5 ) {
	$width_bots = ( 100 / 2 ) - ( 1 / 2 );
	$bots_pos1	= 'left';
	//$bots_pos2	= 'center';
	$bots_pos3	= 'right';
} else if ( $user4 && $user5 ) {
	$width_bots = ( 100 / 2 ) - ( 1 / 2 );
	//$bots_pos1	= 'left';
	$bots_pos2	= 'left';
	$bots_pos3	= 'right';
} else {
	$width_bots = 100;
	$bots_pos1	= 'single';
	$bots_pos2	= 'single';
	$bots_pos3	= 'single';
}

if ( $user1 && $user2 ) {
	$cb_width	= ( 100 / 2 ) - ( 1 / 2 );
	$cb1		= 'left';
	$cb2		= 'right';
} else {
	$cb_width	= 100;
	$cb1		= 'single';
	$cb2		= 'single';
}

if ( $m_top1 && $m_top2 ) {
	$mt_width	= ( 100 / 2 ) - ( 1 / 2 );
	$mt1		= 'left';
	$mt2		= 'right';
} else {
	$mt_width	= 100;
	$mt1		= 'single';
	$mt2		= 'single';
}
?>